[package]
name = "auth"
version = "0.1.0"
edition = "2021"

[dependencies]
jsonwebtoken = { version = "10.3", features = ["rust_crypto"] }
argon2 = "0.5"
rand_core = { version = "0.6", features = ["std"] }
serde = { workspace = true }
tracing = { workspace = true }
chrono = { workspace = true }
uuid = { workspace = true }
anyhow = { workspace = true }
axum = { workspace = true }
async-trait = { workspace = true }
db = { path = "../db" }

[dev-dependencies]
tokio = { version = "1" }
